# Formula Python SDK 1.0.0

Welcome to the Formula SDK documentation. This guide will help you get started with integrating and using the Formula SDK in your project.

## Versions

- API version: `1.0.0`
- SDK version: `1.0.0`

## About the API

Rest Client for FormulaOne api

## Table of Contents

- [Setup & Configuration](#setup--configuration)
  - [Supported Language Versions](#supported-language-versions)
  - [Installation](#installation)
- [Services](#services)
- [Models](#models)
- [License](#license)

## Setup & Configuration

### Supported Language Versions

This SDK is compatible with the following versions: `Python >= 3.7`

### Installation

To get started with the SDK, we recommend installing using `pip`:

```bash
pip install formula-client
```

## Services

The SDK provides various services to interact with the API.

<details> 
<summary>Below is a list of all available services with links to their detailed documentation:</summary>

| Name                                                                       |
| :------------------------------------------------------------------------- |
| [DriversService](documentation/services/DriversService.md)                 |
| [ConstructorsService](documentation/services/ConstructorsService.md)       |
| [CircuitsService](documentation/services/CircuitsService.md)               |
| [SeasonsService](documentation/services/SeasonsService.md)                 |
| [ResultsService](documentation/services/ResultsService.md)                 |
| [QualifyingService](documentation/services/QualifyingService.md)           |
| [SchedulesService](documentation/services/SchedulesService.md)             |
| [StandingsService](documentation/services/StandingsService.md)             |
| [FinishingStatusService](documentation/services/FinishingStatusService.md) |
| [LapTimesService](documentation/services/LapTimesService.md)               |
| [PitStopsService](documentation/services/PitStopsService.md)               |

</details>

## License

This SDK is licensed under the MIT License.

See the [LICENSE](LICENSE) file for more details.

<!-- This file was generated by liblab | https://liblab.com/ -->
